@import "../../base/Variables.scss";
@import "../../base/Mixins.scss";

.recipe-tipsdetail{
    &__wrapper{
        .status-page{
            text-align: center;
            padding-top: 2rem;
            padding-bottom: 3rem;
            height: 50px;
            h1{
                font-size: 24px;
                color : $blue;
                font-style: "GothamRounded-Medium";
                font-weight: 600;
            }
        }
        .blue-background{
            background-color: $blue-younger-nutri;
        }
    }
    &__figure{
        &-desktop{
            display: none;
            @include breakpoint(desktop){
                display: block;
                width: 100%;
            }
        }
        &-mobile{
            display: block;
            object-fit: cover;
            width: 100%;
            @include breakpoint (desktop){
                display : none
            }
        }
    }
    &__header{
        &-figure{
            display: none;
            @include breakpoint (desktop){
                margin-top: 22px;
                display: block;
                text-align: center;
            }
        }
        h3{
            font-size: 24px;
            color : $blue;
            font-style: "GothamRounded-Medium";
            font-weight: 600;
            margin-top: 26px;
            margin-bottom: 31px;
            @include breakpoint (desktop){
                text-align: center;
            }
        }
    }
    &__description{
        text-align: left;
        font-family: "GothamRounded-Book";
        font-family: 16px;
        &-heading{
            color: $blue;
            font-size: 16px;
            font-family: "GothamRounded-Medium";
        }
        &-text{
            color: #707070;
        }
        @include breakpoint (desktop){
            text-align: left;
            margin-top: 53px;
        }
    }
    &__ingredients{
        color: #707070;
    }
    &__border{
        border: solid #E6EAED 1px;
    }
    &__item{
        margin-bottom: 1rem;
        @include breakpoint (desktop){
            &:hover{
                text-decoration: none;
            }
        }
        &-figure{
            img{
                border-radius: 16px;
            }
        }
        &-description{
            padding-left: 0px;
            &-heading{
                color: $blue;
                font-family: "GothamRounded-Medium";
                font-weight: 600;
                font-size: 16px;
                text-transform: uppercase;
            }
            @include breakpoint (desktop){
                align-self: center;
            }
        }
    }
    &__product{
        &-figure{
            text-align: center;
            @include breakpoint (desktop){
                text-align: left;
            }
        }
        &-description{
            p{
                @include breakpoint (desktop){
                    margin-bottom: 35px;
                }
            }
        }
        &-buttonwrapper{
            text-align: center;
            @include breakpoint (desktop){
                text-align: left;
            }
            button{
                background-color: $bluesky-nutri;
                color: $white;
                font-family: "GothamRounded-Book";
                padding: 11px 35px;
            }
            a{
                background-color: $bluesky-nutri;
                color: $white;
                font-family: "GothamRounded-Book";
                padding: 11px 35px;
            }
        }

        &-button{
            position: relative;
            display: inline-block;
            img{
                position: absolute;
                right: 10px;
                top: 17px;
            }
        }
    }
}